# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name BSON-Decode
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Decode BSON file and return a perl data structure!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FD/FDULAU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a pure perl BSON decoder. It is simple and without any dependencies.
 (It was mandatory to allow use in an embeded system)
 The main use is to compare 2 BSON files

 Some of the  BSON grammar's element are not implemented

 \x06 _Undefined (value)  Deprecated
 \x0C   DBPointer          Deprecated
 \x0E                      Deprecated

For binary content (\x05)
 The data is uuencoded as value of the subtype.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/B*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

